Bug 176168 - xmodmap totally broken in modulal X server
xmodmap totally broken in modulal X server
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-19 14:43 EST by Valdis Kletnieks
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-21 07:27:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2005-12-19 14:43:09 EST
Description of problem:
xmodmap sets wrong mouse button values.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Upstream bug https://bugs.freedesktop.org/show_bug.cgi?id=4212
Comment 1 Mike A. Harris 2005-12-21 07:27:01 EST
Fixed weeks ago in upstream CVS.  Current rawhide X is X11R7 RC4, which
contains the fix for this problem.
Comment 2 Valdis Kletnieks 2005-12-21 11:24:19 EST
xorg-x11-server-Xorg 0.99 was broken, and what was in rawhide mirrors yesterday
morning.  The 1.0.0-1 landed last night, literally 2 hours after I filed the bug
report, and does in fact fix it....

Note You need to log in before you can comment on or make changes to this bug.